Subject: [Sipping] RFC4240, dash, and under bar

From: Eric Burger <[email-masked]>
Date: Tue, 19 Sep 2006 05:00:13 -0400

It was pointed out that while RFC 4240 references RFC 3066, RFC 3066
indicates the use of a dash to separate language from local variant.  RFC
4240 indicates the use of an under bar to separate language from local
variant.

Upon further inspection, it de facto, if not de jure standard for separating
language from local variant is, in fact, the under bar.  This is what just
about all operating systems will return when you ask it what locale you are
in.  It is what Java returns when you ask it what locale you are in.  It
seems to be pretty O/S independent.  If you are in Quebec, you get "EN_UK",
and not "EN-UK".

Thus we will NOT issue an errata on RFC 4240.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Theo Zourzouvillys <[email-masked]>
Date: Tue, 19 Sep 2006 14:34:27 +0100

On Tuesday 19 September 2006 10:00, Eric Burger wrote:

> If you are in Quebec, you get "EN_UK", and not "EN-UK".

I hope you don't ;)

it's en_GB, not en_UK.

UK does not exist in ISO-3166-1.

 ~ Theo

-- 
Theo P. Zourzouvillys
http://www.crazygreek.co.uk
[email-masked]

---

From: [email-masked]
Date: Tue, 19 Sep 2006 09:42:37 -0400

it's en_GB, not en_UK.

Really, wouldn't it be "fr_CA"?

Dale

---

From: [email-masked]
Date: Tue, 19 Sep 2006 15:58:40 +0200

But in that case can you explain me why for the locale parameter of the 
RFC 4240 I must use en_UK but if I put also an Accept-Language (defined 
in RFC3261) in the message, I have to use en-UK?

It is a little bit strange to have the same kind of information (the 
language requested/accepted) in two places of the SIP message and using 
different formatting for them.

Anyway if the en_UK has to be used, I think an errata of the section 3.3 
should be published to remove the reference to RFC3066 :
"   locale-param    = "locale=" token
                        ; per RFC 3066, usually
                        ; ISO639-1_ISO3166-1
                        ; e.g., en, en_US, en_UK, etc."

Olivier

---

From: Theo Zourzouvillys <[email-masked]>
Date: Tue, 19 Sep 2006 15:17:04 +0100

On Tuesday 19 September 2006 14:42, [email-masked] wrote:
>    > If you are in Quebec, you get "EN_UK", and not "EN-UK".
>
>    it's en_GB, not en_UK.
>

... or en_CA, or en_US, en_IE, any other but most certainly NOT en_UK :-)

 ~ Theo

---

From: Eric Burger <[email-masked]>
Date: Tue, 19 Sep 2006 18:08:32 -0400

Agreed.

---

From: Dean Willis <[email-masked]>
Date: Tue, 19 Sep 2006 18:50:47 -0500

On Sep 19, 2006, at 8:58 AM, [email-masked] wrote:
> But in that case can you explain me why for the locale parameter of  
> the RFC 4240 I must use en_UK but if I put also an Accept-Language  
> (defined in RFC3261) in the message, I have to use en-UK?
>
> It is a little bit strange to have the same kind of information  
> (the language requested/accepted) in two places of the SIP message  
> and using different formatting for them.
>

Perhaps we need an errata to RFC 3261 as well?

--
Dean